> For the complete documentation index, see [llms.txt](https://docs.emsigner.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.emsigner.com/apis/api-reference/workflows-and-signing/initiate-and-sign.md).

# Initiate And Sign

## POST /api/Public/InitiateAndSign

> Initiate and sign

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"InitiateAndSign"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"emSignerCoreAPI.CoreApi.Public.Controllers.InitiateAndSignWorkflowConfig":{"type":"object","properties":{"workflowType":{"type":"integer","format":"int32"},"listAttachmentDetails":{"type":"array","items":{"$ref":"#/components/schemas/emSignerCoreAPI.CoreApi.Public.Controllers.AttachmentDetails"},"nullable":true},"eStampType":{"type":"string","nullable":true},"state":{"type":"string","nullable":true},"denomination":{"type":"integer","format":"int32"},"clientID":{"type":"string","nullable":true},"clientName":{"type":"string","nullable":true},"templateId":{"type":"integer","format":"int32"},"documentName":{"type":"string","nullable":true},"fileData":{"type":"string","nullable":true},"signatories":{"type":"array","items":{"$ref":"#/components/schemas/emSignerCoreAPI.CoreApi.Public.Controllers.OnlineFlexiformSignersView"},"nullable":true},"referenceNo":{"type":"string","nullable":true},"qrCodeCordinats":{"type":"array","items":{"$ref":"#/components/schemas/emSignerCoreAPI.Shared.DTOs.OnlineFlexiQRCoordinate"},"nullable":true},"donotSendCompletionMailToParticipants":{"type":"boolean"},"reminder":{"type":"integer","format":"int32"},"eStampPayload":{"$ref":"#/components/schemas/emSignerCoreAPI.Shared.DTOs.EstampPayload"},"fetchEstampDeatilsUsingRefNo":{"type":"boolean"}},"additionalProperties":false},"emSignerCoreAPI.CoreApi.Public.Controllers.AttachmentDetails":{"required":["base64fileData","documentName"],"type":"object","properties":{"base64fileData":{"minLength":1,"type":"string"},"documentName":{"minLength":1,"type":"string"},"description":{"type":"string","nullable":true}},"additionalProperties":false},"emSignerCoreAPI.CoreApi.Public.Controllers.OnlineFlexiformSignersView":{"type":"object","properties":{"emailId":{"type":"string","nullable":true},"name":{"type":"string","nullable":true},"contactNo":{"type":"string","nullable":true},"modeOfSignature":{"type":"string","nullable":true},"mailSendingOptions":{"type":"integer","format":"int32"},"signerType":{"type":"integer","format":"int32"},"coordinates":{"type":"array","items":{"$ref":"#/components/schemas/emSignerCoreAPI.CoreApi.Public.Controllers.OnlineFlexiformCoordinate"},"nullable":true},"signatureImage":{"type":"string","nullable":true},"searchText":{"type":"string","nullable":true},"anchor":{"type":"string","nullable":true},"notificationEmail":{"type":"string","nullable":true}},"additionalProperties":false},"emSignerCoreAPI.CoreApi.Public.Controllers.OnlineFlexiformCoordinate":{"type":"object","properties":{"controlType":{"type":"integer","format":"int32"},"isMandatory":{"type":"integer","format":"int32"},"left":{"type":"integer","format":"int32"},"height":{"type":"integer","format":"int32"},"top":{"type":"integer","format":"int32"},"width":{"type":"integer","format":"int32"},"pageNumber":{"type":"string","nullable":true},"page":{"type":"string","nullable":true}},"additionalProperties":false},"emSignerCoreAPI.Shared.DTOs.OnlineFlexiQRCoordinate":{"type":"object","properties":{"left":{"type":"integer","format":"int32"},"height":{"type":"integer","format":"int32"},"pageNumber":{"type":"string","nullable":true},"selectedPage":{"type":"string","nullable":true},"top":{"type":"integer","format":"int32"},"width":{"type":"integer","format":"int32"}},"additionalProperties":false},"emSignerCoreAPI.Shared.DTOs.EstampPayload":{"type":"object","properties":{"loan":{"$ref":"#/components/schemas/emSignerCoreAPI.Shared.DTOs.Loan"}},"additionalProperties":false},"emSignerCoreAPI.Shared.DTOs.Loan":{"type":"object","properties":{"txnID":{"type":"string","nullable":true},"loanno":{"type":"string","nullable":true},"snctnno":{"type":"string","nullable":true},"regType":{"type":"string","nullable":true},"signFlag":{"type":"string","nullable":true},"estampFlag":{"type":"string","nullable":true},"f2f":{"type":"string","nullable":true},"state":{"type":"string","nullable":true},"estampdtls":{"type":"array","items":{"$ref":"#/components/schemas/emSignerCoreAPI.Shared.DTOs.EstampDetail"},"nullable":true},"prtcptentty":{"type":"array","items":{"$ref":"#/components/schemas/emSignerCoreAPI.Shared.DTOs.Participant"},"nullable":true},"loandtls":{"$ref":"#/components/schemas/emSignerCoreAPI.Shared.DTOs.Loandtls"},"eSignCordinates":{"type":"array","items":{"$ref":"#/components/schemas/emSignerCoreAPI.Shared.DTOs.ESignCoordinate"},"nullable":true},"documentdtls":{"type":"array","items":{"$ref":"#/components/schemas/emSignerCoreAPI.Shared.DTOs.DocumentDtl"},"nullable":true},"scrtydtls":{"type":"array","items":{"$ref":"#/components/schemas/eStamp.Scrtydtl"},"nullable":true},"entty_dtls":{"$ref":"#/components/schemas/emSignerCoreAPI.Shared.DTOs.Enttydtls"}},"additionalProperties":false},"emSignerCoreAPI.Shared.DTOs.EstampDetail":{"type":"object","properties":{"firstparty":{"type":"string","nullable":true},"secondparty":{"type":"string","nullable":true},"stampDutyAmount":{"type":"string","nullable":true},"considerationPrice":{"type":"string","nullable":true},"descriptionofDocument":{"type":"string","nullable":true},"stampdutyPaidby":{"type":"string","nullable":true},"articleCode":{"type":"string","nullable":true},"documentID":{"type":"string","nullable":true},"firstPartyOVDType":{"type":"string","nullable":true},"firstPartyOVDValue":{"type":"string","nullable":true},"secondPartyOVDType":{"type":"string","nullable":true},"secondPartyOVDValue":{"type":"string","nullable":true},"firstPartyPin":{"type":"integer","format":"int32"},"secondPartyPin":{"type":"integer","format":"int32"}},"additionalProperties":false},"emSignerCoreAPI.Shared.DTOs.Participant":{"type":"object","properties":{"prtcptenttyId":{"type":"string","nullable":true},"fulnm":{"type":"string","nullable":true},"cntrprtycntnm":{"type":"string","nullable":true},"cntrprtyaddr":{"type":"string","nullable":true},"reltocntrct":{"type":"string","nullable":true},"emlid":{"type":"string","nullable":true},"cntrprtycntmobno":{"type":"string","nullable":true},"panno":{"type":"string","nullable":true},"ovdtype":{"type":"string","nullable":true},"ovdid":{"type":"string","nullable":true},"doi":{"type":"string","nullable":true},"lglcnstn":{"type":"string","nullable":true},"partytyp":{"type":"string","nullable":true},"seqno":{"type":"integer","format":"int32"}},"additionalProperties":false},"emSignerCoreAPI.Shared.DTOs.Loandtls":{"type":"object","properties":{"loanno":{"type":"string","nullable":true},"snctnno":{"type":"string","nullable":true},"dtofsnctn":{"type":"string","nullable":true},"emiamt":{"type":"string","nullable":true},"rtofint":{"type":"string","nullable":true},"snctnamt":{"type":"string","nullable":true},"tenure":{"type":"string","nullable":true},"ntrofcrdt":{"type":"string","nullable":true},"isacctclosed":{"type":"string","nullable":true},"fundtyp":{"type":"string","nullable":true},"currofsanc":{"type":"string","nullable":true},"crdtsubtyp":{"type":"string","nullable":true},"fcltynm":{"type":"string","nullable":true},"amtovrdue":{"type":"string","nullable":true},"chgamt":{"type":"string","nullable":true},"dtofdbrs":{"type":"string","nullable":true},"intamt":{"type":"string","nullable":true},"oldaccno":{"type":"string","nullable":true},"priamt":{"type":"string","nullable":true},"remarkparta":{"type":"string","nullable":true},"toutstndamt":{"type":"string","nullable":true},"bu":{"type":"string","nullable":true},"dp":{"type":"string","nullable":true},"loc":{"type":"string","nullable":true},"rpyfrq":{"type":"string","nullable":true},"lndngarrg":{"type":"string","nullable":true},"dpd":{"type":"string","nullable":true}},"additionalProperties":false},"emSignerCoreAPI.Shared.DTOs.ESignCoordinate":{"type":"object","properties":{"prtcptenttyId":{"type":"integer","format":"int32"},"documentID":{"type":"integer","format":"int32"},"coordinates":{"type":"array","items":{"type":"string"},"nullable":true}},"additionalProperties":false},"emSignerCoreAPI.Shared.DTOs.DocumentDtl":{"type":"object","properties":{"documentID":{"type":"string","nullable":true},"docData":{"type":"string","nullable":true},"docRefNo":{"type":"string","nullable":true}},"additionalProperties":false},"eStamp.Scrtydtl":{"type":"object","properties":{"loanno":{"type":"string","nullable":true},"dscofscrty":{"type":"string","nullable":true},"asstyp":{"type":"string","nullable":true},"typofchrg":{"type":"string","nullable":true},"assetid":{"type":"string","nullable":true},"dtofcrtn":{"type":"string","nullable":true},"dtofvltn":{"type":"string","nullable":true},"scrtyidcersai":{"type":"string","nullable":true},"scrtyidroc":{"type":"string","nullable":true},"vlofscrty":{"type":"string","nullable":true}},"additionalProperties":false},"emSignerCoreAPI.Shared.DTOs.Enttydtls":{"type":"object","properties":{"entty_pan":{"type":"string","nullable":true},"entty_name":{"type":"string","nullable":true},"lgl_cnstn":{"type":"string","nullable":true},"doi":{"type":"string","nullable":true},"eml_id":{"type":"string","nullable":true},"reg_addr":{"type":"string","nullable":true},"reg_pin":{"type":"string","nullable":true},"comm_addr":{"type":"string","nullable":true},"cntct_no":{"type":"string","nullable":true},"comm_pin":{"type":"string","nullable":true}},"additionalProperties":false}}},"paths":{"/api/Public/InitiateAndSign":{"post":{"tags":["InitiateAndSign"],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/emSignerCoreAPI.CoreApi.Public.Controllers.InitiateAndSignWorkflowConfig"}}}}},"responses":{"200":{"description":"OK"}},"summary":"Initiate and sign","operationId":"post_InitiateAndSign"}}}}
```
